<html>
<head>
<title>Ogre::ParamCommand Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParamCommand Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParamCommand" -->
<p>Abstract class which is command object which gets/sets parameters.  
 <a href="classOgre_1_1ParamCommand.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&gt;</code></p>

<p>Inherited by <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdColumnMajorMatrices.html">Ogre::D3D11HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEnableBackwardsCompatibility.html">Ogre::D3D11HLSLProgram::CmdEnableBackwardsCompatibility</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEntryPoint.html">Ogre::D3D11HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdPreprocessorDefines.html">Ogre::D3D11HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdTarget.html">Ogre::D3D11HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdColumnMajorMatrices.html">Ogre::D3D9GpuProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdExternalMicrocode.html">Ogre::D3D9GpuProgram::CmdExternalMicrocode</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdAssemblerCode.html">Ogre::D3D9HLSLProgram::CmdAssemblerCode</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdColumnMajorMatrices.html">Ogre::D3D9HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdEntryPoint.html">Ogre::D3D9HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdMicrocode.html">Ogre::D3D9HLSLProgram::CmdMicrocode</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdOptimisation.html">Ogre::D3D9HLSLProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdPreprocessorDefines.html">Ogre::D3D9HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdTarget.html">Ogre::D3D9HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdUp.html">Ogre::EmitterCommands::CmdUp</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCharSpacer.html">Ogre::Font::CmdCharSpacer</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdEntryPoint.html">Ogre::GLSLESCgProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdProfiles.html">Ogre::GLSLESCgProgram::CmdProfiles</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdOptimisation.html">Ogre::GLSLESProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdPreprocessorDefines.html">Ogre::GLSLESProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdAttach.html">Ogre::GLSLProgram::CmdAttach</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdInputOperationType.html">Ogre::GLSLProgram::CmdInputOperationType</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdMaxOutputVertices.html">Ogre::GLSLProgram::CmdMaxOutputVertices</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdOutputOperationType.html">Ogre::GLSLProgram::CmdOutputOperationType</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdPreprocessorDefines.html">Ogre::GLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdAdjacency.html">Ogre::GpuProgram::CmdAdjacency</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdManualNamedConstsFile.html">Ogre::GpuProgram::CmdManualNamedConstsFile</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html">Ogre::TextAreaOverlayElement::CmdAlignment</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, and <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>.</p>

<p><a href="classOgre_1_1ParamCommand-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">doGet</a> (const void *target) const =0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#ad69d7e3ca3959f0ab2e84137f621ca6a">doSet</a> (void *target, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#a44288c733303c12a4cb30f483ee006ee">~ParamCommand</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract class which is command object which gets/sets parameters. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00077">77</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a44288c733303c12a4cb30f483ee006ee"></a><!-- doxytag: member="Ogre::ParamCommand::~ParamCommand" ref="a44288c733303c12a4cb30f483ee006ee" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParamCommand.html#a44288c733303c12a4cb30f483ee006ee">Ogre::ParamCommand::~ParamCommand</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00083">83</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae47ea550693403baebbcde11c59e074f"></a><!-- doxytag: member="Ogre::ParamCommand::doGet" ref="ae47ea550693403baebbcde11c59e074f" args="(const void *target) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html#a0356a3b268723b9b5ee970bfd2485ace">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html#a25bd92a993a9f32957112e80331584c1">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html#a368b508c1286b15759f701aedf360697">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html#a9a6cacd8af82883e9dbcee806cdf4e46">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html#aad65cd3d2e2901cec798f2084e0536ff">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html#a99c5fc35b5bbf878b458bb74a39da52c">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html#a319c8b881bfeb0d9c372c033973a5176">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html#ac2860c21506f3c965e03ba20777439fb">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html#ab357150f1bfc5a89b13fae855239fec4">Ogre::TextAreaOverlayElement::CmdAlignment</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#ab0cd8f5312db44f782d6de430f1da708">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html#a4d592313da0af5e5d7c2186336c26e9e">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html#ac1a6fc2ce8ac86acf3567e179adc4d38">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html#a71a1e6cda21a1682dd4d88b9a7ded31d">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html#af02d07d870679b22d8665255c4f7aa30">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#ae3fafef4edbdc552bf67833c13e145d9">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html#abb6453da39ac1ba1823dc7246e0908f6">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#a5f021a75d99396ba4711c7db07e3de9d">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#a87b144e51e753cbdf2c175f9f3c0b515">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html#a6f604e87073dd4248ae8dda20af3149c">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#a115a3b704965d0c02c0d64f991b3c873">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html#a4c2d41055903adf9965dd25a16eb9868">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#a820e5cbe682e3994656f8ba69edb5077">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#a56e3a2dea50d7a6a0cac1851ad28cb0f">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a5a628c12e409fff3701deb9395a766f7">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdMaxOutputVertices.html#a40cbcd6ef3d9b46cc139f2e52bad75ad">Ogre::GLSLProgram::CmdMaxOutputVertices</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html#aa38700ed5ec8eb6df74d8dbd4414fb71">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#a78475ee2d3a4a7aa8441dceaa6561e7c">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html#ae8ac2f62ded7cb1f8004712efcce0d34">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdOutputOperationType.html#ad84aebf59e12ca486ce1c0b178cc0d3e">Ogre::GLSLProgram::CmdOutputOperationType</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html#a9dad98336251f71c5ed140ff66292533">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#a667b15b71a67b476926628cf572b49bc">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdInputOperationType.html#a3c255e3aa48163b9b40b2503b0accda9">Ogre::GLSLProgram::CmdInputOperationType</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html#a00a37ca9020008eef870f9273a53ee0a">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html#ab96fe9f6617dc9986ffe87645bde0bc6">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#a860721221eb6d1bd4557e2d3bd18fe94">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdPreprocessorDefines.html#aef77fcf87a184bb111f4da16159df21d">Ogre::GLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html#aa0f2744c5681ef870e9073b967133e7f">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html#a7f94e13017d3e58ddf00b83a64b773e7">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#a432c58ccde312a641f3d8fff11ad1ff1">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdAdjacency.html#a2f870f4bbfc96e09ea4953063048c009">Ogre::GpuProgram::CmdAdjacency</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html#a0a05c4c13d5f812dc3bea94f256e89de">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html#aaa4d8453c460c066778b42c02cfdc1c5">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#a5c3bfb6848a8d311d76a6f7d1f2da5f5">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdManualNamedConstsFile.html#adcd46485a26e7dcbc46553967f23c492">Ogre::GpuProgram::CmdManualNamedConstsFile</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html#a5976ed7a34b7786e34e04b0d54720bca">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html#a965f2e1e7403766fc8abfb56ada0cc71">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html#a7cd0d22cbc4cdbb95a4ff84712840c47">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html#a7672e1462797459272dc56d711188ba8">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#a5509c2446fc3c9d5d9267d919159dca7">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html#af8e4b8c2c24c11d927fa3a1de075dbec">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html#aba91f4620c693f389177026cd0d1ba7a">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html#a7fb2645117493fb5489ebc4884aa158a">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html#ae692a39c7387c2f793dbb7f33287022a">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html#a21bd5287ed396156d75440bab339b631">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html#a8b2d0baa6e4ac034cfc2a228d7ab7872">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#a5924362dd9181226f713ffa9c46e3a0a">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html#a97645fb5153d600287f65c68a79050ae">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html#aa3d18a0d7f3914a62ac5d54677bca8b7">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html#a71c281888b954e51e69d406c9628ee1f">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html#aefde9a70424e70a4f862de83a6b4157b">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html#a06056d2538dfd630fb1b1d7631833692">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html#a1e2b78272f0aecfe386ae99cc099c936">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html#a8f4957ea44ac5ba17f76214474d18f5c">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html#a20fb82f474fc9d8f42639e41385855cf">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#a18d5254bb3cb33162fd7f963b53de966">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdAssemblerCode.html#affb524fb03b93a0d26b1e8e1cac59df6">Ogre::D3D9HLSLProgram::CmdAssemblerCode</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html#a496dc82ba73831dc3c14ce3fb7b6468a">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html#ae329b23c908810000f4a4f4dd8fb7fef">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html#a40ad56257800aeca060318ceaa1500ca">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html#a25fab051daf91a5aa1a64f28db6409fa">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html#aba30630107997cc2d1e6371acc79cefe">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCharSpacer.html#af53713b9754044484e93f67fe7966f02">Ogre::Font::CmdCharSpacer</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdUp.html#ae47765cab657cd02138f908520c1b462">Ogre::EmitterCommands::CmdUp</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdMicrocode.html#a6dc045edce65499604c221f82d206ac6">Ogre::D3D9HLSLProgram::CmdMicrocode</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html#a129da95de25541d15869ffe52466efeb">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html#a69d7f8990da2459fdea70c973039108f">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html#ab389de9e165f9debc974c9bc5f23f33f">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEnableBackwardsCompatibility.html#a97d38e6d9e894d97f077d80581f88cce">Ogre::D3D11HLSLProgram::CmdEnableBackwardsCompatibility</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html#ac7e554c22927c3d5d6199c1a4f535e5d">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html#a93f344ac613562a1119f3ddface1c81e">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html#a091598c0e05287c88fcebcd59b083fbc">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#abdfec6959b2a19d73009b2c84d4b9b7a">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdOptimisation.html#a799c11c2383c3dfaec16ad6aa2c2378f">Ogre::D3D9HLSLProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html#afbe49e5d8d150656185168f71f0958a5">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html#ab2656d50a7f9144940d1b8b5efe14ad8">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdColumnMajorMatrices.html#a7228cb757f7b7dbce2fa6f430a891a19">Ogre::D3D11HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html#a1d2b4eac5f898e7f4fb26d4b0f667462">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html#acdf31edfef7c836c6742c5ca4d3a2a21">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html#a1aafbc69bcc3702ef33854dd9e087482">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdColumnMajorMatrices.html#a5a8f69f0b9101997a15ff68f19c6cd6b">Ogre::D3D9HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#aaa75d44323cf892cd020f96ea91c1b74">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html#a98177ae8e16e5a8de0e8e51765cf5064">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdPreprocessorDefines.html#a1b72ddd6f6fae201665a091d060ddcfa">Ogre::D3D11HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html#a4e4321fde19038509ffac8447a1b261b">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdPreprocessorDefines.html#a232a391066cfe50f2248451df42f6c2d">Ogre::GLSLESProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html#a59e58a6eec2d40de6d686ac7f70c1c1a">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdPreprocessorDefines.html#a9068e07749e30662208b34e1dd00ed69">Ogre::D3D9HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#a8546f5824d0f483b1867e852d5e8062f">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdAttach.html#aaef3c123ee24b6acb5c2b87d9efca7f2">Ogre::GLSLProgram::CmdAttach</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html#a2c3a3432731ba825725b2ac21f686e9f">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdTarget.html#a8dde41c9964ba91153ad482087294c35">Ogre::D3D11HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdTarget.html#a6b1dbf3abc587beebc4d19a51ca2dcf6">Ogre::D3D9HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdOptimisation.html#a19683ea39b911079774e360952ed6668">Ogre::GLSLESProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html#a3f5d617092889084cf1dc9be2d0dec78">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html#af380ca9a45a713bc96ef1b9cf07b1745">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEntryPoint.html#a1d3492c9cb07170495f3d47e165e1518">Ogre::D3D11HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdExternalMicrocode.html#a3ca2be2c799634ffc86fb55a321b14ea">Ogre::D3D9GpuProgram::CmdExternalMicrocode</a>, <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdEntryPoint.html#adbfa414cb4a1c8f23cdafcaeacbfe955">Ogre::GLSLESCgProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdEntryPoint.html#abd319adbecd667db0875b173749fe542">Ogre::D3D9HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html#a8804b98d1275ac68dcbd3a6864dda21a">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#a485c1b156f42cc280d18c1d1d90b589f">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdColumnMajorMatrices.html#a18b02df453d1279c856c7711d4435e93">Ogre::D3D9GpuProgram::CmdColumnMajorMatrices</a>, and <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdProfiles.html#a14c87f84e76f010ee3ddb2cc05adf3b5">Ogre::GLSLESCgProgram::CmdProfiles</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00270">Ogre::StringInterface::getParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="ad69d7e3ca3959f0ab2e84137f621ca6a"></a><!-- doxytag: member="Ogre::ParamCommand::doSet" ref="ad69d7e3ca3959f0ab2e84137f621ca6a" args="(void *target, const String &amp;val)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParamCommand.html#ad69d7e3ca3959f0ab2e84137f621ca6a">Ogre::ParamCommand::doSet</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html#a4f94283ad14030b37012cc94c86e13ad">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html#af028c2e8a835c17486e210bb5ef4588d">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html#a35d8a1e18faeafa723a6dc60bd190093">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html#a129218fb1febb774e21dddea3b7d4a28">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html#a7aea4901967db88b2a6f03bceab3948d">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html#a50feced8b3135e3dc8a044f15a267135">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html#a2b58a4da9db6caf629ede8f1a27f8416">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html#afb95e5223281c6f6f974da6cbe8e47ce">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html#a8e85a54453d52e844be7cbf2ddedc097">Ogre::TextAreaOverlayElement::CmdAlignment</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#af1882a2c738949716241f03cfc61f0a2">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html#ae67a01f90639de22e88f29094d867bd7">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html#ae4a4600a303b310e67c75a4b8ce99b99">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html#ac7533d60514ad91d1fd8f3d391c90eb7">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html#a1a01fed4ccd43a1e485521c146166cb4">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#a67fe0ff0ecbbc1020271e77b81871085">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html#a13bc918f37a94caaf6d50940fc8c1cac">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#a37ffe1864f7d5655cda17e1ee1bcd4bb">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#a034e5bda1f3c5b85fcaa965fdd6ee65d">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html#a2497b09b89ed9f5010995293b0e3eac5">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#ae738fd01077a481a06bb54e6a35133f7">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html#a9d2dc823800fa1236c96434754937f0c">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#aa17a214cecf5d3030864a85c816e67ff">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#aa8f24a768cfbcf4a32887a34f3dc786e">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#a1e94d5a0af5739b057b7e6728db6b8f5">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdMaxOutputVertices.html#a99d944e9c7cb4cf6944858d0e5b0a851">Ogre::GLSLProgram::CmdMaxOutputVertices</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html#a58d21358b037fedccafefa4ac47c838f">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#af673ed7707415d9fda8998715fbbaab4">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html#a52a2fca1b9335fd41ab9ba2baf2e55d3">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdOutputOperationType.html#a490502ce27473ac7aadce572bd6cc512">Ogre::GLSLProgram::CmdOutputOperationType</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html#aa0fb37767309a1d6deb5dfc08facdf90">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#a721b4bc9ac1c1be4acc90c181ca30a06">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdInputOperationType.html#a268e54e035f810d97770e43f899dc407">Ogre::GLSLProgram::CmdInputOperationType</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html#a6d6fb9589baf3dd6451b96ab47b27db9">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html#a57ce4ce6b6d00584ec667504c7e68906">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#a73edf98f969e2d7ff3849c0c52e04572">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdPreprocessorDefines.html#aaa5529714830ff7d37489a1f9337094d">Ogre::GLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html#a9674d5a79bb8efddaf016c919a3ce01c">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html#a84ef05da16526109a2fc3d39c02818c2">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#ad198b8248164985291386bb4be276f92">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdAdjacency.html#a8399c4fd0207764ac3bde4d8fdd155e0">Ogre::GpuProgram::CmdAdjacency</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html#ab07a31479bf94f3f82a57a6fb99ebd90">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html#ab3f702f7088ea5887bba49c008847edb">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#af37a9ceb9e09e2035c34fc38bfe4fd3e">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdManualNamedConstsFile.html#a3277f6b7cddf0c092c5af2a6dad8301d">Ogre::GpuProgram::CmdManualNamedConstsFile</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html#a4d4a01e40bb11f778bfe8ecf732bc270">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html#a835640494d5658bf307d4445dc2200fb">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html#a0c0749a81734ed00bb5a0fa28a595f46">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html#aec05cbfddc57fef4e5942c7fb97361db">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#a2842042188b1892b2ccd0073bc08a640">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html#a5ba9ec2bf269d74d4587cbd00b7acbfe">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html#aa82d68c0c41609f62d74ad9b26847bf6">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html#a5c60d5f55adba52c2baaede60e760097">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html#a22b07557b8072f3f76029668b7001b1b">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html#af112962a4c70d3ef761dd628dff59a97">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html#a8f56700983af6e48087b4b92041b1820">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#a138ff291cd0eea5718f31805a03f95e7">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html#ae8b5faf3045a8998f93b97cdb789d7fb">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html#aae5ea54578dd31091d891ca7b612f090">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html#acc444207b1daf0469f717d5c407491e2">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html#a001207ca24520460e2267f46bfd2e5ff">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html#acea8c785f5148806fcd3810fd2302392">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html#a8c158c6d33da589210d00386e7a8aba5">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html#a898716c0fdbd67b1d283f10af496d7f5">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html#a045d577cdb987e565e322ab4358fed93">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#a5e4beef3fd633d05186db80f6e935724">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdAssemblerCode.html#aac5ae81a803d01e1302f88eb57dd0c3b">Ogre::D3D9HLSLProgram::CmdAssemblerCode</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html#abc4a1186a2ea3b1a0afb4c5c3f4f915a">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html#ad45fe867da68f21730b5136b90e01dff">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html#ace33c916a7ee95c321851ffdf2aa453a">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html#a8c9a2d0e16256868eca98248d2f26c46">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html#ac1a7c49655de7d4744630271a682d1dd">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCharSpacer.html#acfd45b9bc774402c9449aa3a12fed65c">Ogre::Font::CmdCharSpacer</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdUp.html#ae6b325fab9cc33797f2b38aba8e35a27">Ogre::EmitterCommands::CmdUp</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdMicrocode.html#a080c650345d43ef0a581db61e77518a3">Ogre::D3D9HLSLProgram::CmdMicrocode</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html#a3dba560e9c9ae9dd27756759d0ca30f3">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html#afec88b5336a38a9b8e4bdb157ab9ab55">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html#aaeb6e5462bf9d09373415654a0b12b46">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEnableBackwardsCompatibility.html#a06df9b64337969a8dbeb0287b976ab47">Ogre::D3D11HLSLProgram::CmdEnableBackwardsCompatibility</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html#a17601ffb78d869e8ed0b9af0297b6609">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html#aa39fe53757007826ccbfcb13248ddb1c">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html#a8657475f943a4ad93b9833804c2ddccc">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#a183ca16a0bb97772c0f6836761bcd168">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdOptimisation.html#ad61ff891b99529b8701808939172ff7b">Ogre::D3D9HLSLProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html#a2762eb03f2c959104b03a1ad53f6d0d9">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html#a7920aa95725174a957c395e82d0268db">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdColumnMajorMatrices.html#ae49ebe5cd4e7c2a11b74e3d0e7465941">Ogre::D3D11HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html#a3c666d4d97c4c4b2d82b0a9864188edd">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html#a51c2f33b145b8ab3c9bbaa651330032c">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html#ac2e998fadf762ef3fd4a5e49c71e3c08">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdColumnMajorMatrices.html#adcfd51fae3645cc38c422b6399244d01">Ogre::D3D9HLSLProgram::CmdColumnMajorMatrices</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#a0afdc4c39933dab9727b742dff91328b">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html#a615ebe0046de546a67ed2bd85e9c0769">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdPreprocessorDefines.html#aca081c88b56c74b66169930d6d89831c">Ogre::D3D11HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html#afd9c6640e262604738e14ef73f57208c">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdPreprocessorDefines.html#a573cd2004622c13649203f9d790a0ee1">Ogre::GLSLESProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html#adefdee99a48f4335fc7e52e9ab978a46">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdPreprocessorDefines.html#a8a0fb1c776b0a3e996820e7fde4281ab">Ogre::D3D9HLSLProgram::CmdPreprocessorDefines</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#acd432f965389d608f8bd5e37cfd2e6e7">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1GLSLProgram_1_1CmdAttach.html#af0a124ead97d06168f414c5a8ea7c1d5">Ogre::GLSLProgram::CmdAttach</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html#aad9cd372324ffac78b136889500bc57c">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdTarget.html#ac21e0839a9d4c426102a0c6a10fe34d6">Ogre::D3D11HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdTarget.html#a38ffffc3f2f9c679d10a60bfd40091e9">Ogre::D3D9HLSLProgram::CmdTarget</a>, <a class="el" href="classOgre_1_1GLSLESProgram_1_1CmdOptimisation.html#abdcd3897896119dfec0827061b98badb">Ogre::GLSLESProgram::CmdOptimisation</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html#af409b1752c7f1df0e55ca0373337ef96">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html#a75a8b5b22d60976de5fda44e3e56dc77">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1D3D11HLSLProgram_1_1CmdEntryPoint.html#a9f0d48c03f66a34d482b79601bb523f0">Ogre::D3D11HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdExternalMicrocode.html#ab32dcc66b449f8f535145639f29ba683">Ogre::D3D9GpuProgram::CmdExternalMicrocode</a>, <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdEntryPoint.html#a51dbe53b097ddb3d92513c895efb9fd6">Ogre::GLSLESCgProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1D3D9HLSLProgram_1_1CmdEntryPoint.html#afec70a12cb22234f3de6f739e43ce4fe">Ogre::D3D9HLSLProgram::CmdEntryPoint</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html#aacdfd33c4cd1163ab4521ae3c0df40b5">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#aae800df784bd4e920cd0ac3e3dceb5c9">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1D3D9GpuProgram_1_1CmdColumnMajorMatrices.html#ae92c4b78a731f819f8d2521fb28670dd">Ogre::D3D9GpuProgram::CmdColumnMajorMatrices</a>, and <a class="el" href="classOgre_1_1GLSLESCgProgram_1_1CmdProfiles.html#a0d2feb0b1327db89ca7d93df83e4867e">Ogre::GLSLESCgProgram::CmdProfiles</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
